//go:generate mockgen -package mocks -source vault_grpc.pb.go -destination mocks/vault.go

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.1
// source: infranetes/autodevops/v1/vault.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	_ "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type VaultStatus int32

const (
	VaultStatus_VAULT_STATUS_UNKNOWN VaultStatus = 0
	VaultStatus_VAULT_STATUS_SUCCESS VaultStatus = 1
	VaultStatus_VAULT_STATUS_FAILED  VaultStatus = 2
	VaultStatus_VAULT_STATUS_RUNNING VaultStatus = 3
)

// Enum value maps for VaultStatus.
var (
	VaultStatus_name = map[int32]string{
		0: "VAULT_STATUS_UNKNOWN",
		1: "VAULT_STATUS_SUCCESS",
		2: "VAULT_STATUS_FAILED",
		3: "VAULT_STATUS_RUNNING",
	}
	VaultStatus_value = map[string]int32{
		"VAULT_STATUS_UNKNOWN": 0,
		"VAULT_STATUS_SUCCESS": 1,
		"VAULT_STATUS_FAILED":  2,
		"VAULT_STATUS_RUNNING": 3,
	}
)

func (x VaultStatus) Enum() *VaultStatus {
	p := new(VaultStatus)
	*p = x
	return p
}

func (x VaultStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VaultStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_infranetes_autodevops_v1_vault_proto_enumTypes[0].Descriptor()
}

func (VaultStatus) Type() protoreflect.EnumType {
	return &file_infranetes_autodevops_v1_vault_proto_enumTypes[0]
}

func (x VaultStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VaultStatus.Descriptor instead.
func (VaultStatus) EnumDescriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{0}
}

type FetchVaultExportRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *FetchVaultExportRequest) Reset() {
	*x = FetchVaultExportRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchVaultExportRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchVaultExportRequest) ProtoMessage() {}

func (x *FetchVaultExportRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchVaultExportRequest.ProtoReflect.Descriptor instead.
func (*FetchVaultExportRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{0}
}

type FetchVaultExportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExportId string `protobuf:"bytes,1,opt,name=export_id,json=exportId,proto3" json:"export_id,omitempty"`
	Pvcs     []*Pvc `protobuf:"bytes,2,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
}

func (x *FetchVaultExportResponse) Reset() {
	*x = FetchVaultExportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchVaultExportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchVaultExportResponse) ProtoMessage() {}

func (x *FetchVaultExportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchVaultExportResponse.ProtoReflect.Descriptor instead.
func (*FetchVaultExportResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{1}
}

func (x *FetchVaultExportResponse) GetExportId() string {
	if x != nil {
		return x.ExportId
	}
	return ""
}

func (x *FetchVaultExportResponse) GetPvcs() []*Pvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

type UpdateVaultExportRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExportId string              `protobuf:"bytes,1,opt,name=export_id,json=exportId,proto3" json:"export_id,omitempty"`
	PvcName  string              `protobuf:"bytes,2,opt,name=pvc_name,json=pvcName,proto3" json:"pvc_name,omitempty"`
	Metrics  *VaultExportMetrics `protobuf:"bytes,3,opt,name=metrics,proto3" json:"metrics,omitempty"`
	Status   VaultStatus         `protobuf:"varint,4,opt,name=status,proto3,enum=api.infranetes.autodevops.v1.VaultStatus" json:"status,omitempty"`
}

func (x *UpdateVaultExportRequest) Reset() {
	*x = UpdateVaultExportRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVaultExportRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVaultExportRequest) ProtoMessage() {}

func (x *UpdateVaultExportRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVaultExportRequest.ProtoReflect.Descriptor instead.
func (*UpdateVaultExportRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{2}
}

func (x *UpdateVaultExportRequest) GetExportId() string {
	if x != nil {
		return x.ExportId
	}
	return ""
}

func (x *UpdateVaultExportRequest) GetPvcName() string {
	if x != nil {
		return x.PvcName
	}
	return ""
}

func (x *UpdateVaultExportRequest) GetMetrics() *VaultExportMetrics {
	if x != nil {
		return x.Metrics
	}
	return nil
}

func (x *UpdateVaultExportRequest) GetStatus() VaultStatus {
	if x != nil {
		return x.Status
	}
	return VaultStatus_VAULT_STATUS_UNKNOWN
}

type VaultExportMetrics struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SecondsElapsed int64  `protobuf:"varint,1,opt,name=seconds_elapsed,json=secondsElapsed,proto3" json:"seconds_elapsed,omitempty"`
	PercentDone    int32  `protobuf:"varint,2,opt,name=percent_done,json=percentDone,proto3" json:"percent_done,omitempty"`
	TotalFiles     int64  `protobuf:"varint,3,opt,name=total_files,json=totalFiles,proto3" json:"total_files,omitempty"`
	TotalBytes     int64  `protobuf:"varint,4,opt,name=total_bytes,json=totalBytes,proto3" json:"total_bytes,omitempty"`
	FilesDone      int64  `protobuf:"varint,5,opt,name=files_done,json=filesDone,proto3" json:"files_done,omitempty"`
	BytesDone      int64  `protobuf:"varint,6,opt,name=bytes_done,json=bytesDone,proto3" json:"bytes_done,omitempty"`
	FilesNew       int64  `protobuf:"varint,7,opt,name=files_new,json=filesNew,proto3" json:"files_new,omitempty"`
	SnapshotId     string `protobuf:"bytes,8,opt,name=snapshot_id,json=snapshotId,proto3" json:"snapshot_id,omitempty"`
}

func (x *VaultExportMetrics) Reset() {
	*x = VaultExportMetrics{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VaultExportMetrics) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VaultExportMetrics) ProtoMessage() {}

func (x *VaultExportMetrics) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VaultExportMetrics.ProtoReflect.Descriptor instead.
func (*VaultExportMetrics) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{3}
}

func (x *VaultExportMetrics) GetSecondsElapsed() int64 {
	if x != nil {
		return x.SecondsElapsed
	}
	return 0
}

func (x *VaultExportMetrics) GetPercentDone() int32 {
	if x != nil {
		return x.PercentDone
	}
	return 0
}

func (x *VaultExportMetrics) GetTotalFiles() int64 {
	if x != nil {
		return x.TotalFiles
	}
	return 0
}

func (x *VaultExportMetrics) GetTotalBytes() int64 {
	if x != nil {
		return x.TotalBytes
	}
	return 0
}

func (x *VaultExportMetrics) GetFilesDone() int64 {
	if x != nil {
		return x.FilesDone
	}
	return 0
}

func (x *VaultExportMetrics) GetBytesDone() int64 {
	if x != nil {
		return x.BytesDone
	}
	return 0
}

func (x *VaultExportMetrics) GetFilesNew() int64 {
	if x != nil {
		return x.FilesNew
	}
	return 0
}

func (x *VaultExportMetrics) GetSnapshotId() string {
	if x != nil {
		return x.SnapshotId
	}
	return ""
}

type UpdateVaultExportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateVaultExportResponse) Reset() {
	*x = UpdateVaultExportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVaultExportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVaultExportResponse) ProtoMessage() {}

func (x *UpdateVaultExportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVaultExportResponse.ProtoReflect.Descriptor instead.
func (*UpdateVaultExportResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{4}
}

type FetchVaultRestoreRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *FetchVaultRestoreRequest) Reset() {
	*x = FetchVaultRestoreRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchVaultRestoreRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchVaultRestoreRequest) ProtoMessage() {}

func (x *FetchVaultRestoreRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchVaultRestoreRequest.ProtoReflect.Descriptor instead.
func (*FetchVaultRestoreRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{5}
}

type FetchVaultRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RestoreId string `protobuf:"bytes,1,opt,name=restore_id,json=restoreId,proto3" json:"restore_id,omitempty"`
	Pvcs      []*Pvc `protobuf:"bytes,2,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
}

func (x *FetchVaultRestoreResponse) Reset() {
	*x = FetchVaultRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FetchVaultRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FetchVaultRestoreResponse) ProtoMessage() {}

func (x *FetchVaultRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FetchVaultRestoreResponse.ProtoReflect.Descriptor instead.
func (*FetchVaultRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{6}
}

func (x *FetchVaultRestoreResponse) GetRestoreId() string {
	if x != nil {
		return x.RestoreId
	}
	return ""
}

func (x *FetchVaultRestoreResponse) GetPvcs() []*Pvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

type UpdateVaultRestoreRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RestoreId string               `protobuf:"bytes,1,opt,name=restore_id,json=restoreId,proto3" json:"restore_id,omitempty"`
	PvcName   string               `protobuf:"bytes,2,opt,name=pvc_name,json=pvcName,proto3" json:"pvc_name,omitempty"`
	Metrics   *VaultRestoreMetrics `protobuf:"bytes,4,opt,name=metrics,proto3" json:"metrics,omitempty"`
	Status    VaultStatus          `protobuf:"varint,5,opt,name=status,proto3,enum=api.infranetes.autodevops.v1.VaultStatus" json:"status,omitempty"`
}

func (x *UpdateVaultRestoreRequest) Reset() {
	*x = UpdateVaultRestoreRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVaultRestoreRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVaultRestoreRequest) ProtoMessage() {}

func (x *UpdateVaultRestoreRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVaultRestoreRequest.ProtoReflect.Descriptor instead.
func (*UpdateVaultRestoreRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{7}
}

func (x *UpdateVaultRestoreRequest) GetRestoreId() string {
	if x != nil {
		return x.RestoreId
	}
	return ""
}

func (x *UpdateVaultRestoreRequest) GetPvcName() string {
	if x != nil {
		return x.PvcName
	}
	return ""
}

func (x *UpdateVaultRestoreRequest) GetMetrics() *VaultRestoreMetrics {
	if x != nil {
		return x.Metrics
	}
	return nil
}

func (x *UpdateVaultRestoreRequest) GetStatus() VaultStatus {
	if x != nil {
		return x.Status
	}
	return VaultStatus_VAULT_STATUS_UNKNOWN
}

type UpdateVaultRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *UpdateVaultRestoreResponse) Reset() {
	*x = UpdateVaultRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateVaultRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateVaultRestoreResponse) ProtoMessage() {}

func (x *UpdateVaultRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateVaultRestoreResponse.ProtoReflect.Descriptor instead.
func (*UpdateVaultRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{8}
}

type Pvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name             string      `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Ns               string      `protobuf:"bytes,2,opt,name=ns,proto3" json:"ns,omitempty"`
	Size             string      `protobuf:"bytes,3,opt,name=size,proto3" json:"size,omitempty"`
	StorageClassName string      `protobuf:"bytes,4,opt,name=storage_class_name,json=storageClassName,proto3" json:"storage_class_name,omitempty"`
	CsiSnapshotName  string      `protobuf:"bytes,5,opt,name=csi_snapshot_name,json=csiSnapshotName,proto3" json:"csi_snapshot_name,omitempty"`
	VaultSnapshotId  string      `protobuf:"bytes,6,opt,name=vault_snapshot_id,json=vaultSnapshotId,proto3" json:"vault_snapshot_id,omitempty"`
	AccessModes      []string    `protobuf:"bytes,7,rep,name=access_modes,json=accessModes,proto3" json:"access_modes,omitempty"`
	Labels           []*MapEntry `protobuf:"bytes,8,rep,name=labels,proto3" json:"labels,omitempty"`
	Annotations      []*MapEntry `protobuf:"bytes,9,rep,name=annotations,proto3" json:"annotations,omitempty"`
}

func (x *Pvc) Reset() {
	*x = Pvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Pvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Pvc) ProtoMessage() {}

func (x *Pvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Pvc.ProtoReflect.Descriptor instead.
func (*Pvc) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{9}
}

func (x *Pvc) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Pvc) GetNs() string {
	if x != nil {
		return x.Ns
	}
	return ""
}

func (x *Pvc) GetSize() string {
	if x != nil {
		return x.Size
	}
	return ""
}

func (x *Pvc) GetStorageClassName() string {
	if x != nil {
		return x.StorageClassName
	}
	return ""
}

func (x *Pvc) GetCsiSnapshotName() string {
	if x != nil {
		return x.CsiSnapshotName
	}
	return ""
}

func (x *Pvc) GetVaultSnapshotId() string {
	if x != nil {
		return x.VaultSnapshotId
	}
	return ""
}

func (x *Pvc) GetAccessModes() []string {
	if x != nil {
		return x.AccessModes
	}
	return nil
}

func (x *Pvc) GetLabels() []*MapEntry {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (x *Pvc) GetAnnotations() []*MapEntry {
	if x != nil {
		return x.Annotations
	}
	return nil
}

type MapEntry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   string `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Value string `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *MapEntry) Reset() {
	*x = MapEntry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MapEntry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MapEntry) ProtoMessage() {}

func (x *MapEntry) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MapEntry.ProtoReflect.Descriptor instead.
func (*MapEntry) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{10}
}

func (x *MapEntry) GetKey() string {
	if x != nil {
		return x.Key
	}
	return ""
}

func (x *MapEntry) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type VaultRestoreMetrics struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SecondsElapsed int64 `protobuf:"varint,1,opt,name=seconds_elapsed,json=secondsElapsed,proto3" json:"seconds_elapsed,omitempty"`
	TotalBytes     int64 `protobuf:"varint,2,opt,name=total_bytes,json=totalBytes,proto3" json:"total_bytes,omitempty"`
}

func (x *VaultRestoreMetrics) Reset() {
	*x = VaultRestoreMetrics{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VaultRestoreMetrics) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VaultRestoreMetrics) ProtoMessage() {}

func (x *VaultRestoreMetrics) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_autodevops_v1_vault_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VaultRestoreMetrics.ProtoReflect.Descriptor instead.
func (*VaultRestoreMetrics) Descriptor() ([]byte, []int) {
	return file_infranetes_autodevops_v1_vault_proto_rawDescGZIP(), []int{11}
}

func (x *VaultRestoreMetrics) GetSecondsElapsed() int64 {
	if x != nil {
		return x.SecondsElapsed
	}
	return 0
}

func (x *VaultRestoreMetrics) GetTotalBytes() int64 {
	if x != nil {
		return x.TotalBytes
	}
	return 0
}

var File_infranetes_autodevops_v1_vault_proto protoreflect.FileDescriptor

var file_infranetes_autodevops_v1_vault_proto_rawDesc = []byte{
	0x0a, 0x24, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x76, 0x61, 0x75, 0x6c, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70,
	0x73, 0x2e, 0x76, 0x31, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x19, 0x0a, 0x17, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61,
	0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x22, 0x6e, 0x0a, 0x18, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1b, 0x0a, 0x09,
	0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x35, 0x0a, 0x04, 0x70, 0x76, 0x63,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x76, 0x63, 0x52, 0x04, 0x70, 0x76, 0x63, 0x73,
	0x22, 0xe1, 0x01, 0x0a, 0x18, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a,
	0x09, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x70, 0x76,
	0x63, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x76,
	0x63, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x4a, 0x0a, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f,
	0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72,
	0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x52, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x12, 0x41, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x29, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74,
	0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0x9e, 0x02, 0x0a, 0x12, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x27, 0x0a, 0x0f, 0x73,
	0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5f, 0x65, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x0e, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x45, 0x6c, 0x61,
	0x70, 0x73, 0x65, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x5f,
	0x64, 0x6f, 0x6e, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x70, 0x65, 0x72, 0x63,
	0x65, 0x6e, 0x74, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c,
	0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x74, 0x6f,
	0x74, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x73, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61,
	0x6c, 0x5f, 0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x74,
	0x6f, 0x74, 0x61, 0x6c, 0x42, 0x79, 0x74, 0x65, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x6c,
	0x65, 0x73, 0x5f, 0x64, 0x6f, 0x6e, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x66,
	0x69, 0x6c, 0x65, 0x73, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x62, 0x79, 0x74, 0x65,
	0x73, 0x5f, 0x64, 0x6f, 0x6e, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x62, 0x79,
	0x74, 0x65, 0x73, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x73,
	0x5f, 0x6e, 0x65, 0x77, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65,
	0x73, 0x4e, 0x65, 0x77, 0x12, 0x1f, 0x0a, 0x0b, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x73, 0x6e, 0x61, 0x70, 0x73,
	0x68, 0x6f, 0x74, 0x49, 0x64, 0x22, 0x1b, 0x0a, 0x19, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56,
	0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x1a, 0x0a, 0x18, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x71,
	0x0a, 0x19, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74,
	0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x72,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x49, 0x64, 0x12, 0x35, 0x0a, 0x04, 0x70, 0x76,
	0x63, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65,
	0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x76, 0x63, 0x52, 0x04, 0x70, 0x76, 0x63,
	0x73, 0x22, 0xe5, 0x01, 0x0a, 0x19, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x75, 0x6c,
	0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x49, 0x64, 0x12, 0x19,
	0x0a, 0x08, 0x70, 0x76, 0x63, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x70, 0x76, 0x63, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x4b, 0x0a, 0x07, 0x6d, 0x65, 0x74,
	0x72, 0x69, 0x63, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x31, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f,
	0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x52, 0x07, 0x6d,
	0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x41, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x29, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f,
	0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x1c, 0x0a, 0x1a, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xf0, 0x02, 0x0a, 0x03, 0x50, 0x76, 0x63, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x6e, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x2c, 0x0a, 0x12, 0x73, 0x74, 0x6f, 0x72, 0x61,
	0x67, 0x65, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x10, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x43, 0x6c, 0x61, 0x73,
	0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2a, 0x0a, 0x11, 0x63, 0x73, 0x69, 0x5f, 0x73, 0x6e, 0x61,
	0x70, 0x73, 0x68, 0x6f, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0f, 0x63, 0x73, 0x69, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x2a, 0x0a, 0x11, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x73, 0x6e, 0x61, 0x70, 0x73,
	0x68, 0x6f, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x76, 0x61,
	0x75, 0x6c, 0x74, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x49, 0x64, 0x12, 0x21, 0x0a,
	0x0c, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x6d, 0x6f, 0x64, 0x65, 0x73, 0x18, 0x07, 0x20,
	0x03, 0x28, 0x09, 0x52, 0x0b, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x4d, 0x6f, 0x64, 0x65, 0x73,
	0x12, 0x3e, 0x0a, 0x06, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x08, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x26, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65,
	0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e,
	0x4d, 0x61, 0x70, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73,
	0x12, 0x48, 0x0a, 0x0b, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18,
	0x09, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x4d, 0x61, 0x70, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x0b, 0x61,
	0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x32, 0x0a, 0x08, 0x4d, 0x61,
	0x70, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x5f,
	0x0a, 0x13, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x27, 0x0a, 0x0f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73,
	0x5f, 0x65, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0e,
	0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x45, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64, 0x12, 0x1f,
	0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x0a, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x42, 0x79, 0x74, 0x65, 0x73, 0x2a,
	0x74, 0x0a, 0x0b, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x18,
	0x0a, 0x14, 0x56, 0x41, 0x55, 0x4c, 0x54, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55,
	0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x18, 0x0a, 0x14, 0x56, 0x41, 0x55, 0x4c,
	0x54, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x53, 0x55, 0x43, 0x43, 0x45, 0x53, 0x53,
	0x10, 0x01, 0x12, 0x17, 0x0a, 0x13, 0x56, 0x41, 0x55, 0x4c, 0x54, 0x5f, 0x53, 0x54, 0x41, 0x54,
	0x55, 0x53, 0x5f, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x02, 0x12, 0x18, 0x0a, 0x14, 0x56,
	0x41, 0x55, 0x4c, 0x54, 0x5f, 0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x52, 0x55, 0x4e, 0x4e,
	0x49, 0x4e, 0x47, 0x10, 0x03, 0x32, 0xab, 0x04, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x12,
	0x83, 0x01, 0x0a, 0x10, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x12, 0x35, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61,
	0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x36, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x86, 0x01, 0x0a, 0x11, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x36, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74,
	0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x37, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e,
	0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x86,
	0x01, 0x0a, 0x11, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73,
	0x74, 0x6f, 0x72, 0x65, 0x12, 0x36, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61,
	0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63, 0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65,
	0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x37, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75,
	0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x74, 0x63,
	0x68, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x89, 0x01, 0x0a, 0x12, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x37,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e,
	0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x38, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x61, 0x75, 0x74, 0x6f, 0x64, 0x65, 0x76,
	0x6f, 0x70, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x56, 0x61, 0x75,
	0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x00, 0x42, 0x27, 0x5a, 0x25, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x62, 0x61, 0x63,
	0x6b, 0x75, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_infranetes_autodevops_v1_vault_proto_rawDescOnce sync.Once
	file_infranetes_autodevops_v1_vault_proto_rawDescData = file_infranetes_autodevops_v1_vault_proto_rawDesc
)

func file_infranetes_autodevops_v1_vault_proto_rawDescGZIP() []byte {
	file_infranetes_autodevops_v1_vault_proto_rawDescOnce.Do(func() {
		file_infranetes_autodevops_v1_vault_proto_rawDescData = protoimpl.X.CompressGZIP(file_infranetes_autodevops_v1_vault_proto_rawDescData)
	})
	return file_infranetes_autodevops_v1_vault_proto_rawDescData
}

var file_infranetes_autodevops_v1_vault_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_infranetes_autodevops_v1_vault_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_infranetes_autodevops_v1_vault_proto_goTypes = []interface{}{
	(VaultStatus)(0),                   // 0: api.infranetes.autodevops.v1.VaultStatus
	(*FetchVaultExportRequest)(nil),    // 1: api.infranetes.autodevops.v1.FetchVaultExportRequest
	(*FetchVaultExportResponse)(nil),   // 2: api.infranetes.autodevops.v1.FetchVaultExportResponse
	(*UpdateVaultExportRequest)(nil),   // 3: api.infranetes.autodevops.v1.UpdateVaultExportRequest
	(*VaultExportMetrics)(nil),         // 4: api.infranetes.autodevops.v1.VaultExportMetrics
	(*UpdateVaultExportResponse)(nil),  // 5: api.infranetes.autodevops.v1.UpdateVaultExportResponse
	(*FetchVaultRestoreRequest)(nil),   // 6: api.infranetes.autodevops.v1.FetchVaultRestoreRequest
	(*FetchVaultRestoreResponse)(nil),  // 7: api.infranetes.autodevops.v1.FetchVaultRestoreResponse
	(*UpdateVaultRestoreRequest)(nil),  // 8: api.infranetes.autodevops.v1.UpdateVaultRestoreRequest
	(*UpdateVaultRestoreResponse)(nil), // 9: api.infranetes.autodevops.v1.UpdateVaultRestoreResponse
	(*Pvc)(nil),                        // 10: api.infranetes.autodevops.v1.Pvc
	(*MapEntry)(nil),                   // 11: api.infranetes.autodevops.v1.MapEntry
	(*VaultRestoreMetrics)(nil),        // 12: api.infranetes.autodevops.v1.VaultRestoreMetrics
}
var file_infranetes_autodevops_v1_vault_proto_depIdxs = []int32{
	10, // 0: api.infranetes.autodevops.v1.FetchVaultExportResponse.pvcs:type_name -> api.infranetes.autodevops.v1.Pvc
	4,  // 1: api.infranetes.autodevops.v1.UpdateVaultExportRequest.metrics:type_name -> api.infranetes.autodevops.v1.VaultExportMetrics
	0,  // 2: api.infranetes.autodevops.v1.UpdateVaultExportRequest.status:type_name -> api.infranetes.autodevops.v1.VaultStatus
	10, // 3: api.infranetes.autodevops.v1.FetchVaultRestoreResponse.pvcs:type_name -> api.infranetes.autodevops.v1.Pvc
	12, // 4: api.infranetes.autodevops.v1.UpdateVaultRestoreRequest.metrics:type_name -> api.infranetes.autodevops.v1.VaultRestoreMetrics
	0,  // 5: api.infranetes.autodevops.v1.UpdateVaultRestoreRequest.status:type_name -> api.infranetes.autodevops.v1.VaultStatus
	11, // 6: api.infranetes.autodevops.v1.Pvc.labels:type_name -> api.infranetes.autodevops.v1.MapEntry
	11, // 7: api.infranetes.autodevops.v1.Pvc.annotations:type_name -> api.infranetes.autodevops.v1.MapEntry
	1,  // 8: api.infranetes.autodevops.v1.Vault.FetchVaultExport:input_type -> api.infranetes.autodevops.v1.FetchVaultExportRequest
	3,  // 9: api.infranetes.autodevops.v1.Vault.UpdateVaultExport:input_type -> api.infranetes.autodevops.v1.UpdateVaultExportRequest
	6,  // 10: api.infranetes.autodevops.v1.Vault.FetchVaultRestore:input_type -> api.infranetes.autodevops.v1.FetchVaultRestoreRequest
	8,  // 11: api.infranetes.autodevops.v1.Vault.UpdateVaultRestore:input_type -> api.infranetes.autodevops.v1.UpdateVaultRestoreRequest
	2,  // 12: api.infranetes.autodevops.v1.Vault.FetchVaultExport:output_type -> api.infranetes.autodevops.v1.FetchVaultExportResponse
	5,  // 13: api.infranetes.autodevops.v1.Vault.UpdateVaultExport:output_type -> api.infranetes.autodevops.v1.UpdateVaultExportResponse
	7,  // 14: api.infranetes.autodevops.v1.Vault.FetchVaultRestore:output_type -> api.infranetes.autodevops.v1.FetchVaultRestoreResponse
	9,  // 15: api.infranetes.autodevops.v1.Vault.UpdateVaultRestore:output_type -> api.infranetes.autodevops.v1.UpdateVaultRestoreResponse
	12, // [12:16] is the sub-list for method output_type
	8,  // [8:12] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_infranetes_autodevops_v1_vault_proto_init() }
func file_infranetes_autodevops_v1_vault_proto_init() {
	if File_infranetes_autodevops_v1_vault_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_infranetes_autodevops_v1_vault_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchVaultExportRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchVaultExportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVaultExportRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VaultExportMetrics); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVaultExportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchVaultRestoreRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FetchVaultRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVaultRestoreRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateVaultRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Pvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MapEntry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_autodevops_v1_vault_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VaultRestoreMetrics); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_infranetes_autodevops_v1_vault_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_infranetes_autodevops_v1_vault_proto_goTypes,
		DependencyIndexes: file_infranetes_autodevops_v1_vault_proto_depIdxs,
		EnumInfos:         file_infranetes_autodevops_v1_vault_proto_enumTypes,
		MessageInfos:      file_infranetes_autodevops_v1_vault_proto_msgTypes,
	}.Build()
	File_infranetes_autodevops_v1_vault_proto = out.File
	file_infranetes_autodevops_v1_vault_proto_rawDesc = nil
	file_infranetes_autodevops_v1_vault_proto_goTypes = nil
	file_infranetes_autodevops_v1_vault_proto_depIdxs = nil
}
